Imagick::clone
Imagick::coalesceImages
Imagick
PHP Manual

# Imagick::clutImage

Replaces colors in the image

### Description

bool Imagick::clutImage ( Imagick `$lookup_table` [, float `$channel` = Imagick::CHANNEL_DEFAULT ] )

Replaces colors in the image from a color lookup table. Optional second parameter to replace colors in a specific channel. This method is available if Imagick has been compiled against ImageMagick version 6.3.6 or newer.

### Parameters

`lookup_table`

  Imagick object containing the color lookup table

`channel`

  The Channeltype constant. When not supplied, default channels are replaced.

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Using Imagick::clutImage:

Replace colors in the image from a color lookup table.

`<?php
$image = new Imagick('test.jpg');
$clut = new Imagick();
$clut->newImage(1, 1, new ImagickPixel('black'));
$image->clutImage($clut);
$image->writeImage('test_out.jpg');
?>`

### See Also

- Imagick::adaptiveBlurImage
- Imagick::motionBlurImage
- Imagick::radialBlurImage